<?php
// Define email parameters
$email_from = "DO_NOT_REPLY@aitle.org.hk";
$email_subject = "AiTLE IT Help Request";
$email_sysname = "AiTLE IT Request System";
$email_url = "http://aitle/ithelp/";

function sendmail($from, $to, $subject, $message,$user='',$pwd='', $cc = NULL, $bcc = NULL, $attach = NULL, $language = NULL) {

	include_once dirname(__FILE__).'/phpmailer/class.phpmailer.php';
	$mail = new PHPMailer();
	
	//$mail->SMTPDebug = true;
	$mail->CharSet = "UTF-8"; 
//	$mail->CharSet = "big5"; 
	$mail->IsSMTP();                                // specify main and backup server
	$mail->SMTPAuth = true;     					// turn on SMTP authentication
	if($user=='' || $pwd=='')
	{
		$mail->Host = "mail.on-nets.com";  			// set mailer to use SMTP	
		$mail->Username = "ws_request";// SMTP username
		$mail->Password = ""; 				// SMTP password	
		//$from = $mail->Username;
	}
	$mail->SetLanguage($language);
	
	if ( is_array($from) ) {
		$mail->From = current($from);
		$mail->FromName = current(array_keys($from));
	} else {
		$mail->From = $from;
		$mail->FromName = $from;
	}
		
	if ( is_array($to) ) 
		foreach ( $to as $name => $address ) $mail->AddAddress( $address, (is_string($name)?$name:'') );
	else
		$mail->AddAddress( $to );

	if ( !is_null($attach) ) 
		$mail->AddAttachment( $attach );

	if ( !is_null($cc) ) {
		if ( is_array($cc) ) 
			foreach ( $cc as $name => $address ) $mail->AddCC( $address, (is_string($name)?$name:'') );
		else
			$mail->AddCC( $cc );
	}
	
	if ( !is_null($bcc) ) {
		if ( is_array($bcc) ) 
			foreach ( $bcc as $name => $address ) $mail->AddBCC( $address, (is_string($name)?$name:'') );
		else
			$mail->AddBCC( $bcc );
	}
	
	$mail->WordWrap = 80;                            // set word wrap to 80 characters
	$mail->IsHTML(true);                             // set email format to HTML
	
	$mail->Subject = $subject;
	$mail->Body    = $message;
	
	if ($mail->Send()) {
		return true;
	} else {
		
		$err	= "Error : ".$mail->ErrorInfo;
		return $err;
	}

}

?>